DROP TABLE IF EXISTS Selection, DrinkOption;

CREATE TABLE DrinkOption (
	code CHAR(2) UNIQUE NOT NULL,
	drink_name VARCHAR(25) NOT NULL, 
	price DECIMAL(4,2) DEFAULT 0.80,
	milk BOOLEAN NOT NULL,
	PRIMARY KEY (code)
);
	
CREATE TABLE Selection (
	id INT AUTO_INCREMENT,
	option_code CHAR(2) NOT NULL,
	sugars ENUM('0','1','2') NOT NULL,
	PRIMARY KEY (id),
	FOREIGN KEY (option_code)
		REFERENCES DrinkOption (code)
);

INSERT INTO DrinkOption VALUES
('A','Black tea',DEFAULT,0),
('B','White tea',DEFAULT,1),
('C','Black coffee',DEFAULT,0),
('D','White coffee',DEFAULT,1);

INSERT INTO Selection VALUES
(NULL, 'A', '1'),
(NULL, 'D', '0');
